/**
  *  \file arch/win32-bcc55/platform.h
  */
#ifndef PCC_V2_ARCH_WIN32_BCC55_PLATFORM_H
#define PCC_V2_ARCH_WIN32_BCC55_PLATFORM_H

#include "arch/generic.h"

struct Platform : GenericPlatform {
    static void initPlatform();
    //static void initOptions(StandardCommandLineParser& par);
    static void initConsoleOutput();
    static inline void initGuiOutput() { }
    static bool readConsoleLine(string_t prompt, string_t& line);
    static void showOutput();
    static string_t getDataDirectory();
    static string_t getResourceDirectory();
    static string_t getLanguageCode();
    static string_t getUserSettingsDirectory(int version);
    static char** convertArgumentsToUtf8(char** argv);
    static void freeArguments(char** argv);

    static const char PATH_SEPARATOR = '\\';
    static const char LINE_SEPARATOR[];
};

#endif
